Subject: Re: [PATCH net-next 0/5] tools: ynl: turn the page-pool sample into a real tool

From: Stanislav Fomichev <[email-masked]>
Date: Thu, 6 Nov 2025 08:34:57 -0800

On 11/06, Jakub Kicinski wrote:
> On Tue,  4 Nov 2025 15:23:43 -0800 Jakub Kicinski wrote:
> > The page-pool YNL sample is quite useful. It's helps calculate
> > recycling rate and memory consumption. Since we still haven't
> > figured out a way to integrate with iproute2 (not for the lack
> > of thinking how to solve it) - create a ynltool command in ynl.
> > 
> > Add page-pool and qstats support.
> > 
> > Most commands can use the Python YNL CLI directly but low level
> > stats often need aggregation or some math on top to be useful.
> > Specifically in this patch set:
> >  - page pool stats are aggregated and recycling rate computed
> >  - per-queue stats are used to compute traffic balance across queues
> 
> FWIW I'd appreciate any feedback here. It's hard to draw the line
> on what to implement in a tool like ynltool and what to leave for
> the YNL Python directly.

I like the idea. Python is useful for local development, but shipping
it (as of now) is a bit painful. I'm not sure what's the line gonna
be between iproute2 vs ethtool vs ynltool, but I think we can figure
it out as we go.